package de.intevation.flys.client.shared.model;


/**
 * The default implementation of a Facet.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultFacet implements Facet {

    /** The name of the facet.*/
    protected String name;

    /** The description of the facet.*/
    protected String description;

    /** The index of the facet.*/
    protected int index;


    /**
     * An empty constructor.
     */
    public DefaultFacet() {
    }


    /**
     * The default constructor to create new DefaultFacets.
     *
     * @param name The name of the facet.
     */
    public DefaultFacet(String name) {
        this.name = name;
    }


    public DefaultFacet(String name, int index, String description) {
        this(name);

        this.index       = index;
        this.description = description;
    }


    public String getName() {
        return name;
    }


    public String getDescription() {
        return description;
    }


    public int getIndex() {
        return index;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
